/*Header File de definies*/

//Partes do Corpo
#define QUADRIL				 0		
#define COXA				 3
#define PERNA				 6
#define PE					 9
#define DEDOS				12
#define RABO				27
#define ABDOMEN				45
#define PEITO				48
#define PESCOCO				51
#define CABECA				54
#define BRACO				57
#define ANTEBRACO			60
#define MAO					63

//Constantes de controle
#define DV					75
#define CORRIDA				76
#define CAMINHADA			 0
#define ESQUERDA			12
#define BRACO_ESQUERDO		 9
#define DIREITA				 0
#define SEGMENTOS			 6
#define FRAMES_CAMINHADA	 9
#define FRAMES_CORRIDA		 9
#define DESLOC_CORRIDA	   100 
#define DESLOC_CAMINHADA	20
#define X					 0
#define Y					 1
#define Z					 2
#define SEG_CORRIDA			 2
#define SEG_CAMINHADA		 8

//[parte do corpo] [frame]
GLfloat angulos_movimentacao[180][10] =
{
//CAMINHADA
	/*QUADRIL  X*/		{	0, 2.5,   5,   4, 2.5,   0,-2.5,  -5,  -4,-2.5},
	/*QUADRIL  Y*/		{	0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*QUADRIL  Z*/		{ -43, -41, -40, -40, -41, -43, -41, -40, -40, -41},
	/*COXA DIREITA X*/	{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*COXA DIREITA Y*/	{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*COXA DIREITA Z*/	{   0,  12,  40,  48,  55,  60,  63,  12, -15,  -5},
	/*PERNA DIREITA X*/	{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*PERNA DIREITA Y*/	{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*PERNA DIREITA Z*/ {  80,  79,  50,  42,  48,  42,  46, 108, 112,  91},
	/*PE DIREITO X*/	{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*PE DIREITO Y*/	{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*PE DIREITO Z*/	{ -70, -77, -83, -78, -80, -80, -66, -60,-120,-100},
	/*DEDOS DIREITOS X*/{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*PEDOS DIREITOS Y*/{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*DEDOS DIREITOS Z*/{ -52, -54, -48, -55, -60, -65, -70,   5,  10,   0},
	/*COXA ESQUERDA X*/	{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*COXA ESQUERDA Y*/	{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*COXA ESQUERDA Z*/	{  60,  63,  12, -15,  -5,   0,  12,  40,  48,  55},
	/*PERNA ESQUERDA X*/{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*PERNA ESQUERDA Y*/{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*PERNA ESQUERDA Z*/{  42,  46, 108, 112,  91,  80,  79,  50,  42,  48},
	/*PE ESQUERDO X*/	{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*PE ESQUERDO Y*/	{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*PE ESQUERDO Z*/	{ -80, -66, -60,-120,-100, -70, -77, -83, -78, -80},
	/*DODOS ESQUERDO X*/{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*DEDOS ESQUERDO Y*/{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*DEDOS ESQUERDO Z*/{ -65, -70,   5,  10,   0, -52, -54, -48, -55, -60},
	/*RABO SEG 00Z*/	{   5,  10,  11, -10, -15, -10,   5,  13,  10,   0},
	/*RABO SEG 01Z*/	{  -8,  -5,   5,  15,   8,  -8,  -8,  -8,  -8,  -8},
	/*RABO SEG 02Z*/	{  -5,  -5,  -2,  10,  10,	 5,  -5,  -5,  -5,  -5},
	/*RABO SEG 03Z*/	{  -5,  -5,   0,  15,  25,  10,  10,  -5,  -5,  -5},
	/*RABO SEG 04Z*/	{   5,   4,  10,  10,  10,  13,  10,   1,   1,   1},
	/*RABO SEG 05Z*/	{   5,   5,  10,  10,  10,  12,   5,   1,   4,   1},
	/*RABO SEG 00Y*/	{   5,  10,  11, -10, -15, -10,   5,  13,  10,   0},
	/*RABO SEG 01Y*/	{  -8,  -5,   5,  15,   8,  -8,  -8,  -8,  -8,  -8},
	/*RABO SEG 02Y*/	{  -5,  -5,  -2,  10,  10,	 5,  -5,  -5,  -5,  -5},
	/*RABO SEG 03Y*/	{  -5,  -5,   0,  15,  25,  10,  10,  -5,  -5,  -5},
	/*RABO SEG 04Y*/	{   5,   4,  10,  10,  10,  13,  10,   7,   7,   7},
	/*RABO SEG 05Y*/	{   5,   5,  10,  10,  10,  12,   5,   5,   5,   5},
	/*RABO SEG 00X*/	{   5,  10,  15,  10,   5,  -5, -10, -15, -10,  -5},
	/*RABO SEG 01X*/	{   0,   5,  10,   5,   0,   0,  -5, -10,  -5,   0},
	/*RABO SEG 02X*/	{   0,   5,  10,   5,   0,   0,  -5, -10,  -5,   0},
	/*RABO SEG 03X*/	{   0,   5,  10,   5,   0,   0,  -5, -10,  -5,   0},
	/*RABO SEG 04X*/	{   0,   5,  10,   5,   0,   0,  -5, -10,  -5,   0},
	/*RABO SEG 05X*/	{   0,   5,  10,   5,   0,   0,  -5, -10,  -5,   0},
	/*ABDOMEN X*/		{	0, 2.5,   5,   4, 2.5,   0,-2.5,  -5,  -4,-2.5},
	/*ABDOMEN Y*/		{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*ABDOMEN Z*/		{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*PEITO X*/			{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*PEITO Y*/			{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*PEITO Z*/			{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*PESCOCO X*/		{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*PESCOCO Y*/		{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*PESCOCO Z*/		{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*CABECA X*/		{	0,-2.5,  -5,  -4,-2.5,   0, 2.5,   5,   4, 2.5},
	/*CABECA Y*/		{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*CABECA Z*/		{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*BRACO DIR X*/	    {   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*BRACO DIR Y*/		{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*BRACO DIR Z*/		{  35,  23,   8,  -8, -23, -35, -23,  -8,   8,  23},
	/*ANTEBRACO DIR X*/	{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*ANTEBRACO DIR Y*/	{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*ANTEBRACO DIR Z*/	{ -20, -15,  -5,   0,  -5, -10,  -5,   0,  -5, -15},
	/*MAO DIR X*/		{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*MAO DIR Y*/		{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*MAO DIR Z*/		{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*BRACO ESQ X*/		{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*BRACO ESQ Y*/		{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*BRACO ESQ Z*/		{ -35, -23,  -8,   8,  23,  35,  23,   8,  -8, -23},
	/*ANTEBRACO ESQ X*/	{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*ANTEBRACO ESQ Y*/	{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*ANTEBRACO ESQ Z*/	{ -20, -10,   0,  -5, -15, -20, -15,  -5,   0, -10},
	/*MAO ESQ X*/		{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*MAO ESQ Y*/		{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*MAO ESQ Z*/		{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*DSLC. VERTICAL*/	{   0,   2,   8,  10,   1,   0,   2,   8,  10,   1},
//CORRIDA 
	/*QUADRIL  X*/		{  -5,-2.5,   0,   0, 2.5,   5, 2.5,   0,   0,-2.5},
	/*QUADRIL  Y*/		{	0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*QUADRIL  Z*/		{ -13, -11, -10, -10, -11, -13, -11, -10, -10, -11},
	/*COXA ESQUERDA X*/	{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*COXA ESQUERDA Y*/	{ -15, -20, -15, -10,  -5,   0,   0,   0,  -5, -10},
	/*COXA ESQUERDA Z*/	{  75, -65, -75, -72, -72, -60,   0,  59,  80,  80},
	/*PERNA ESQUERDA X*/{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*PERNA ESQUERDA Y*/{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*PERNA ESQUERDA Z*/{  35, 153, 158, 146, 146,  80,  85,  35,  38,  38},
	/*PE ESQUERDO X*/	{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*PE ESQUERDO Y*/	{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*PE ESQUERDO Z*/	{ -32, -30,-145,-136,-136, -55, -45, -17, -30, -30},
	/*DODOS ESQUERDO X*/{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*DEDOS ESQUERDO Y*/{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*DEDOS ESQUERDO Z*/{   5,   7,   5, -17, -17, -30, -85, -30, -10, -10},
	/*COXA DIREITA X*/	{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*COXA DIREITA Y*/	{   0,   0,   0,   5,  10,  15,  20,  15,  10,   5},
	/*COXA DIREITA Z*/	{  -60,  0,  59,  80,  80,  75, -65, -75, -72, -72},
	/*PERNA DIREITA X*/	{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*PERNA DIREITA Y*/	{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*PERNA DIREITA Z*/	{  80,  85,  35,  38,  38,  35, 153, 158, 146, 146},
	/*PE DIREITO X*/	{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*PE DIREITO Y*/	{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*PE DIREITO Z*/	{ -55, -45, -17, -30, -30, -32, -30,-145,-136,-136},
	/*DEDOS DIREITOS X*/{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*PEDOS DIREITOS Y*/{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*DEDOS DIREITOS Z*/{ -30, -85, -30, -10, -10,   5,   7,   5, -17, -17},
	/*RABO SEG 00Z*/	{  10,  15,  16,  -5, -10,  -5,  10,  18,  15,   5},
	/*RABO SEG 01Z*/	{  -3,   0,  10,  20,  13,  -3,  -3,  -3,  -3,  -3},
	/*RABO SEG 02Z*/	{  -5,  -5,  -2,  10,  10,	 5,  -5,  -5,  -5,  -5},
	/*RABO SEG 03Z*/	{  -5,  -5,   0,  15,  25,  10,  10,  -5,  -5,  -5},
	/*RABO SEG 04Z*/	{   5,   4,  10,  10,  10,  13,  10,   1,   1,   1},
	/*RABO SEG 05Z*/	{   5,   5,  10,  10,  10,  12,   5,   1,   4,   1},
	/*RABO SEG 00Y*/	{   5,  10,  11, -10, -15, -10,   5,  13,  10,   0},
	/*RABO SEG 01Y*/	{  -8,  -5,   5,  15,   8,  -8,  -8,  -8,  -8,  -8},
	/*RABO SEG 02Y*/	{  -5,  -5,  -2,  10,  10,	 5,  -5,  -5,  -5,  -5},
	/*RABO SEG 03Y*/	{  -5,  -5,   0,  15,  25,  10,  10,  -5,  -5,  -5},
	/*RABO SEG 04Y*/	{   5,   4,  10,  10,  10,  13,  10,   7,   7,   7},
	/*RABO SEG 05Y*/	{   5,   5,  10,  10,  10,  12,   5,   5,   5,   5},
	/*RABO SEG 00X*/	{   5,  10,  15,  10,   5,  -5, -10, -15, -10,  -5},
	/*RABO SEG 01X*/	{   0,   5,  10,   5,   0,   0,  -5, -10,  -5,   0},
	/*RABO SEG 02X*/	{   0,   5,  10,   5,   0,   0,  -5, -10,  -5,   0},
	/*RABO SEG 03X*/	{   0,   5,  10,   5,   0,   0,  -5, -10,  -5,   0},
	/*RABO SEG 04X*/	{   0,   5,  10,   5,   0,   0,  -5, -10,  -5,   0},
	/*RABO SEG 05X*/	{   0,   5,  10,   5,   0,   0,  -5, -10,  -5,   0},
    /*ABDOMEN X*/		{   5, 2.5,   0,   0,-2.5,  -5,-2.5,   0,   0, 2.5},
    /*ABDOMEN Y*/		{  10,   5,   0,   0,  -5  -10,  -5,   0,   0,   5},
	/*ABDOMEN Z*/		{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*PEITO X*/			{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*PEITO Y*/			{  10,  10,   5,  -5, -10, -10, -10,  -5,   5,  10},
	/*PEITO Z*/			{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*PESCOCO X*/		{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*PESCOCO Y*/		{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
    /*PESCOCO Z*/		{  30,  25,  25,  25,  25,  30,  25,  25,  25,  25},
	/*CABECA X*/		{   0,-2.5,  -5,  -4,-2.5,   0, 2.5,   5,   4, 2.5},
	/*CABECA Y*/		{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*CABECA Z*/		{ -50, -45, -45, -45, -45, -50, -45, -45, -45, -45},
	/*BRACO DIR X*/		{   0,   5,  10,   5,   0,   0,   0,   0,   0,   0},
	/*BRACO DIR Y*/		{   5,   0,   0,   0,   0,   0,   0,   0,   5,  10},
	/*BRACO DIR Z*/		{ -90, -60, -20,  15,  30,  45,  30,  15, -20, -60},
	/*ANTEBRACO DIR X*/	{   0,   5,  10,   5,   0,   0,   0,   0,   0,   0},
	/*ANTEBRACO DIR Y*/	{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*ANTEBRACO DIR Z*/	{ -80, -70, -60, -40, -10, -20, -10, -40, -60, -70},
	/*MAO DIR X*/		{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*MAO DIR Y*/		{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*MAO DIR Z*/		{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*BRACO ESQ X*/	    {   0,   0,   0,   0,   0,   0,  -5, -10,  -5,   0},
	/*BRACO ESQ Y*/		{   0,   0,   0,  -5, -10,  -5,   0,   0,   0,   0},
	/*BRACO ESQ Z*/		{  45,  30,  15, -20, -60, -90, -60, -20,  15,  30},
	/*ANTEBRACO ESQ X*/	{   0,   0,   0,   0,   0,   0,  -5, -10,  -5,   0},
	/*ANTEBRACO ESQ Y*/	{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*ANTEBRACO ESQ Z*/	{ -20, -10, -40, -60, -70, -80, -70, -60, -40, -10},
	/*MAO ESQ X*/		{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*MAO ESQ Y*/		{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*MAO ESQ Z*/		{   0,   0,   0,   0,   0,   0,   0,   0,   0,   0},
	/*DSLC. VERTICAL*/	{ -21,   0,  10,  20,   5, -21,   0,  10,  20,   5},
};

//Movimentao entre frames...
GLfloat movimentacao[180];
